<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: ConstructionBoxTrigger Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('df/dd2/class_construction_box_trigger.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ConstructionBoxTrigger Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ConstructionBoxTrigger:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../df/dd2/class_construction_box_trigger.png" usemap="#ConstructionBoxTrigger_map" alt=""/>
  <map id="ConstructionBoxTrigger_map" name="ConstructionBoxTrigger_map">
<area href="../../d7/d05/class_man_trigger.html" title="Trigger only accepting Object which IsMan()" alt="ManTrigger" shape="rect" coords="0,0,145,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:ada09ed3e146d2355ab8a74d1e3905406"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dd2/class_construction_box_trigger.html#ada09ed3e146d2355ab8a74d1e3905406">SetPartName</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> part_name)</td></tr>
<tr class="separator:ada09ed3e146d2355ab8a74d1e3905406"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac940925c761ffd36b2c3491f8de2badb"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dd2/class_construction_box_trigger.html#ac940925c761ffd36b2c3491f8de2badb">GetPartName</a> ()</td></tr>
<tr class="separator:ac940925c761ffd36b2c3491f8de2badb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30b6f8758644f475f3793de19df5944f"><td class="memItemLeft" align="right" valign="top">override protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dd2/class_construction_box_trigger.html#a30b6f8758644f475f3793de19df5944f">UpdateInsiders</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> timeout)</td></tr>
<tr class="separator:a30b6f8758644f475f3793de19df5944f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5a351e48ff4e7b2e980d24a7658f121"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dd2/class_construction_box_trigger.html#ac5a351e48ff4e7b2e980d24a7658f121">IsColliding</a> ()</td></tr>
<tr class="separator:ac5a351e48ff4e7b2e980d24a7658f121"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a151b33f76de6ac6888607274db50fb74"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dd2/class_construction_box_trigger.html#a151b33f76de6ac6888607274db50fb74">m_PartName</a></td></tr>
<tr class="separator:a151b33f76de6ac6888607274db50fb74"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../de/df0/_construction_8c_source.html#l01319">1319</a> of file <a class="el" href="../../de/df0/_construction_8c_source.html">Construction.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="ac940925c761ffd36b2c3491f8de2badb" name="ac940925c761ffd36b2c3491f8de2badb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac940925c761ffd36b2c3491f8de2badb">&#9670;&#160;</a></span>GetPartName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> ConstructionBoxTrigger::GetPartName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/df0/_construction_8c_source.html#l01328">1328</a> of file <a class="el" href="../../de/df0/_construction_8c_source.html">Construction.c</a>.</p>

</div>
</div>
<a id="ac5a351e48ff4e7b2e980d24a7658f121" name="ac5a351e48ff4e7b2e980d24a7658f121"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac5a351e48ff4e7b2e980d24a7658f121">&#9670;&#160;</a></span>IsColliding()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> ConstructionBoxTrigger::IsColliding </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/df0/_construction_8c_source.html#l01338">1338</a> of file <a class="el" href="../../de/df0/_construction_8c_source.html">Construction.c</a>.</p>

</div>
</div>
<a id="ada09ed3e146d2355ab8a74d1e3905406" name="ada09ed3e146d2355ab8a74d1e3905406"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ada09ed3e146d2355ab8a74d1e3905406">&#9670;&#160;</a></span>SetPartName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ConstructionBoxTrigger::SetPartName </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>part_name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/df0/_construction_8c_source.html#l01323">1323</a> of file <a class="el" href="../../de/df0/_construction_8c_source.html">Construction.c</a>.</p>

</div>
</div>
<a id="a30b6f8758644f475f3793de19df5944f" name="a30b6f8758644f475f3793de19df5944f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a30b6f8758644f475f3793de19df5944f">&#9670;&#160;</a></span>UpdateInsiders()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override protected void ConstructionBoxTrigger::UpdateInsiders </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>timeout</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/df0/_construction_8c_source.html#l01333">1333</a> of file <a class="el" href="../../de/df0/_construction_8c_source.html">Construction.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a151b33f76de6ac6888607274db50fb74" name="a151b33f76de6ac6888607274db50fb74"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a151b33f76de6ac6888607274db50fb74">&#9670;&#160;</a></span>m_PartName</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> ConstructionBoxTrigger::m_PartName</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/df0/_construction_8c_source.html#l01321">1321</a> of file <a class="el" href="../../de/df0/_construction_8c_source.html">Construction.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/BaseBuilding/<a class="el" href="../../de/df0/_construction_8c_source.html">Construction.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../df/dd2/class_construction_box_trigger.html">ConstructionBoxTrigger</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
